-- ============================================================================
-- Copyright (C) 2010 Denis Martin <denimartin@hotmail.fr>
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--
-- $Id: llx_product_discount.key.sql,v 1.1 14/01/2010 dmartin Exp $
-- ============================================================================

-- Contrainte unique sur la paire client/produit : on ne peut pas avoir deux enregistrement pour la meme remise (paire client/produit)
ALTER TABLE llx_product_discount ADD UNIQUE uk_product_discount_customer_product(fk_customer, fk_product);

-- Contraintes de cles etrangeres.
ALTER TABLE llx_product_discount ADD CONSTRAINT fk_product_discount_fk_customer FOREIGN KEY (fk_customer) REFERENCES llx_societe (rowid);
ALTER TABLE llx_product_discount ADD CONSTRAINT fk_product_discount_fk_product FOREIGN KEY (fk_product) REFERENCES llx_product (rowid) ;
